% This module does the analysis for gasoline. First Data Analysis

% Begin by loading up all the GAS information and breaking it up
A_Data = load('DESP_ALC.dat');
A_UF = A_Data(:,1);  A_setor = A_Data(:,2); A_dom = A_Data(:,3); 
A_UC = A_Data(:,4); A_area = A_Data(:,5); A_cind = A_Data(:,6); 
A_kids = A_Data(:,7); A_hage = A_Data(:,8); A_gas = A_Data(:,9); 
A_xp = A_Data(:,10); A_inc = A_Data(:,11); A_car = A_Data(:,12); 
A_bike = A_Data(:,13); clear A_Data;

% Now we concentrate on the subsample we want
% Begin Urban, Couple with Kids, set indicator
A_Demo = (A_area ~= 4 & A_cind == 1 & A_kids > 0);

% And recover the values we want
AD_Data = [A_xp(A_Demo) A_inc(A_Demo) A_gas(A_Demo) A_car(A_Demo) A_bike(A_Demo)];
AD_Data = sortrows(AD_Data); 

% Clear some stuff we are done with
clear A_UF A_setor A_dom A_UC A_area A_cind A_kids A_hage A_gas A_xp A_inc A_car A_bike A_Demo;

% And set the variables - First the data
X = log(AD_Data(:,1)); 
Z = log(AD_Data(:,2));
Y = AD_Data(:,3)./AD_Data(:,1);

% Note, we need to perturb X, to make sure there are no 100% identical observations
% Otherwise spcol thinks we are asking for the derivative instead of level
X(X(2:end) == X(1:end-1)) = X(X(2:end) == X(1:end-1)) - 10^(-6);

clear AD_Data;

save AlcData;

